import java.io.*;
import java.util.*;
import java.math.*;
public class Main{
	public static void main(String args[])throws Exception{
		BufferedReader in = new BufferedReader(new FileReader("D.in"));
		PrintWriter out = new PrintWriter(new FileWriter("D.out"));
		StringTokenizer st = new StringTokenizer(in.readLine());
		BigInteger n = new BigInteger(st.nextToken());
		BigInteger a = new BigInteger(st.nextToken());
		BigInteger b = new BigInteger(st.nextToken());
		n=n.subtract(a).add(b);
		out.println(n);
		out.close();
	}
}